Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model
Class ExternalData

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.ExternalData

All Implemented Interfaces:
  Serializable, Mappable

    public class ExternalData

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`ExternalData()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`String` | `getMethod()`
`String` | `getResponseLanguage()`
`String` | `getSource()`
`String` | `getXpath()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> dataMap)`
`void` | `setMethod(String method)`
`void` | `setResponseLanguage(String responseLanguage)`
`void` | `setSource(String source)`
`void` | `setXpath(String xpath)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalData

    public ExternalData()

Method Detail

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> dataMap)

  Specified by:
    `setDataMap` in interface `Mappable`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getSource

    public String getSource()

### setSource

    public void setSource(String source)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getResponseLanguage

    public String getResponseLanguage()

### setResponseLanguage

    public void setResponseLanguage(String responseLanguage)

### getXpath

    public String getXpath()

### setXpath

    public void setXpath(String xpath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.